﻿@using NacGroup.Infrastructure.Shared
@using NacGroup.Module.Core.Services
@using NacGroup.Module.Product.Models.Schema
@using Newtonsoft.Json.Linq
@model Product
@inject IThemeConfigService ThemeConfigService
@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    ViewData["MetaTitle"] = Model.Name;
    ViewData["MetaDescription"] = Model.Name;
    ViewData["MetaKeyword"] = Model.Name;
    var productSku = ViewData["ProductSku"] as Sku;
    Layout = "_Layout";


}
@section Style{
    <style>
        .size {
            border: 1px solid #d8d8d8;
            position: relative;
            display: inline-block;
            background:#ffffff;
            padding: 0 5px;
        }
        .size:hover{
             border: 1px solid red;
        }

        .image-sku {
            border: 1px solid #d8d8d8;
            position: relative;
            display: inline-block;
            background:#ffffff;
        }
        .image-sku:hover{
             border: 1px solid red;
        }
            .image-sku.active {
                border: 1px solid red;
            }

            .image-sku.inactive {
                opacity: 0.3;
                cursor: not-allowed;
            }

        .size.active {
            border: 1px solid red;
        }

        .size.inactive {
            opacity: 0.3;
            cursor: not-allowed;
        }
    </style>
    <link href="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/css/productdetail-page.min.css" rel="stylesheet" />
}
@section Script{
    <script src="/tenants/@globalConfig.TenantName.ToLower()/themes/@globalConfig.WebsiteTheme.ToLower()/live/scripts/productdetail-page.min.js"></script>
}
<main id="product-page">
    <h1 class="hidden">@ViewData["MetaTitle"]</h1>
    <div id="breadcrumb">
        <div class="container">
            <ul class="my-ul breadcrumb-body">
                <li><a href="/">Home</a></li>
                <li><a href="/productcat/@Model.MainCategory.Url">@Model.MainCategory.Name</a></li>
                <li class="active">@Model.Name</li>
            </ul>
        </div>
    </div>
    <div id="product-detail">
        <div class="section-header container">

        </div>
        <div class="section-body container">
            <div class="row">
                <div class="col-md-6 col-sm-12">
                    @if (Model.Skus.Any())
                    {
                        <div class="slider" id="slider-single">
                            @if (productSku != null)
                            {

                                foreach (var item in productSku.ImageList)
                                {
                                    <div class="item">
                                        <a href="@item.Src"><img src="@item.Src" alt="@item.Alt" class="zoom hidden-sm hidden-xs"></a>
                                        <img src="@item.Src" alt="@item.Alt" class="visible-sm visible-xs">
                                    </div>
                                }
                            }
                        </div>
                        <div class="slider" id="slider-nav">
                            @if (productSku.ImageList != null)
                            {
                                foreach (var item in productSku.ImageList)
                                {
                                    <div class="item">
                                        <img src="@item.Src" alt="@item.Alt">
                                    </div>
                                }
                            }
                        </div>
                    }


                </div>
                <div class="col-md-6 col-sm-12">
                    <div class="text-container">
                        <h5 class="h4 title text-uppercase text-bold">
                            @Model.Name 
                        </h5>
                        <div class="stock-container p-2">
                            <span class="text-uppercase text-primary text-semibold" style="margin-right:20px;font-size: 13px;">in stock</span><span class="text-uppercase text-bold">SKU </span><span class="text-uppercase text-semibold text-gray">@productSku.SkuCode</span>
                        </div>  
                        <div class="price-container">
                            <p class="text-bold text-black-50" style="font-size:23px">@productSku.Price.ToCurrency((int)globalConfig.Currency)</p>
                        </div>
                        <div class="des-container">
                            @Html.Raw(Model.MetaDescription)
                        </div>
                        <div class="select-option">
                            <input type="hidden" id="attrlist" value="@Newtonsoft.Json.JsonConvert.SerializeObject(Model.SkuAttributes)" />
                            @if (Model.SkuAttributes.Any() && Model.Skus.Count > 1)
                            {
                                var index = 0;
                                var activeatttemps = new List<ProductAttribute>();
                                foreach (var item in Model.SkuAttributes)
                                {

                                    <p>@item.Name</p>
                                    <div class="attribute-row">
                                        @if (item.Values.Any())
                                        {
                                            foreach (var attr in item.Values)
                                            {
                                                var attg = activeatttemps.ToList();
                                                attg.Add(new ProductAttribute
                                                {
                                                    Slug = item.Slug,
                                                    Values = new List<ProductAttributeValue>
                                                                { attr }
                                                });
                                                var skus = Model.Skus.Where(m => m.IsActive && m.StockQuantity > 0 && attg.All(x => m.Attributes.Any(a => a.Slug == x.Slug && a.Values.FirstOrDefault().Slug == x.Values.FirstOrDefault().Slug)));
                                                var isActive = productSku.Attributes.Any(m => m.Slug == item.Slug && m.Values.FirstOrDefault() != null && m.Values.FirstOrDefault().Slug == attr.Slug);
                                                var isDisable = !skus.Any();
                                                if (item.Slug == "color" || item.Slug == "mau-sac")
                                                {
                                                    var avatar = Model.Skus.FirstOrDefault(m => m.Attributes.Any(x => x.Slug == item.Slug && x.Values.Any(p => p.Slug == attr.Slug)))?.ImageList.FirstOrDefault()?.Src;
                                                    <a href="javascript:;" onclick="selectSizeColor(this);" class="image-sku@(isActive ? " active" : "")@(isDisable ? " inactive" : "")" data-attr-slug="@item.Slug" data-value-slug="@attr.Slug"><img src="@avatar" width="50px" /></a>
                                                }
                                                else
                                                {
                                                    <a href="javascript:;" onclick="selectSizeColor(this);" class="size@(isActive ? " active":"")@(isDisable ? " inactive" : "")" data-attr-slug="@item.Slug" data-value-slug="@attr.Slug"><span class="text-uppercase">@attr.Value</span></a>
                                                }

                                            }
                                        }

                                    </div>

                                    activeatttemps.Add(productSku.Attributes.FirstOrDefault(m => m.Slug == item.Slug));
                                    index++;

                                }
                            }

                        </div>
                        <div class="btn-container m-top-2">
                            <a href="javascript:;" onclick="AddToCart('@Model.Id','@(productSku.SkuCode)')" class="text-uppercase btn btn-primary">Mua hàng</a>
                            
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12 col-sm-12">
                    <ul class="nav nav-tabs">
                        <li class="active"><a data-toggle="tab" href="#overview">Tổng quát</a></li>
                        <li><a data-toggle="tab" href="#more">Thông tin</a></li>
                        <li><a data-toggle="tab" href="#review">Bình luận</a></li>
                    </ul>
                    <div class="tab-content">
                        <div id="overview" class="tab-pane fade in active">
                            @Html.Raw(Model.Description)
                        </div>
                        <div id="more" class="tab-pane fade">

                            <p>
                                @if (Model.SkuAttributes.Any() && Model.SkuAttributes.Count > 1)
                                {
                                    foreach (var itempar in Model.SkuAttributes)
                                    {
                                                <p class="text-bold">
                                                 @itempar.Name :
                                                 @foreach (var itemchild in itempar.Values)
                                                  {
                                                    <span>@itemchild.Value ,</span>
                                                  }
                                                </p>
                                    }
                                }
                             

                            </p>
                        </div>
                        <div id="review" class="tab-pane fade">
                            <div class="fb-comments" data-href="https://developers.facebook.com/docs/plugins/comments#configurator" data-width="100%" data-numposts="5"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @*<div class="section-footer container p-4">
            <h5 class="h4 title text-bold text-left text-uppercase  ">
                RELATED PRODUCTS
            </h5>
            <div class="slider-5item p-top-3 owl-carousel owl-theme owl-flex">
                <div class="item-product">
                    <a href="#" class="avatar">
                        <img src="https://buynailsdirect.com/pub/media/catalog/product/cache/40839b2953d2ba4cdf07b38b981ce6be/b/e/beyond_powder_ultra_ema_sculpting_liquid_1gallon_thumbs.jpg" alt="Alternate Text" />
                    </a>
                    <a href="#" class="name">
                        Kinetics - Shield Polish and SolarGel Duo - All Color Collections
                    </a>
                    <div class="btn-container">
                        <a href=":javascript" class="btn btn-primary">
                            <i class="ecs-phone"></i> Contact Us
                        </a>
                    </div>
                </div>
              
            </div>
        </div>*@
    </div>
</main>